#pragma once
#include <Arduino.h>
#include "state.h"
#include "station.h"

class StateMachine {
private:
    State* currentState;
    void updateState(State* newState);

public:
    StateMachine(State* initialState);
    ~StateMachine();

    void pickedUp();
    void putDown(Station* newSation);
    void update();

    void updateDisplay(LiquidCrystal* lcd);
};
